# Gimp.param_spec_color

    @accepts(unicode, unicode, unicode, bool, Gegl.Color, GObject.ParamFlags)
    @returns(GObject.ParamSpec)
    def param_spec_color(name, nick, blurb, has_alpha, default_color, flags):
        # Python wrapper for gimp_param_spec_color()

Creates a new GObject.ParamSpec instance specifying a Gegl.Color property. Note that the default_color is duplicated, so reusing object will not change the default color of the returned [struct@Gimp.ParamSpecColor].

name

  canonical name of the property specified

nick

  nick name for the property specified

blurb

  description of the property specified

has_alpha

  True if the alpha channel has relevance.

default_color

  the default value for the property specified

flags

  flags for the property specified

Returns